<template>
  <v-app>
    <v-app-bar
        app
        color="primary"
        dark
    >
      <v-container class="d-flex justify-center align-center">
        <nav>
          <router-link class="white--text" to="/">Home</router-link>
          |
          <router-link class="white--text" to="/articles">Articles</router-link>
          |
          <router-link class="white--text" to="/signup">SignUp</router-link>
          |
          <router-link class="white--text" to="/login">Login</router-link>
          |
          <router-link class="white--text" to="/profile">Profile</router-link>
        </nav>
      </v-container>
    </v-app-bar>

    <v-main>
      <router-view/>
    </v-main>
  </v-app>
</template>

<script>

export default {
  name: 'App',

  data: () => ({
    //
  }),
};
</script>

<style lang="scss">
nav {
  a {
    text-decoration: none;
  }
}

.router-link-exact-active {
  font-weight: 700;
}
</style>